Bug 1477341 - UI CSV Export of facts does not include nested values
UI CSV Export of facts does not include nested values
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Fact (Show other bugs)
Unspecified Unspecified
high Severity medium (vote)
: GA
: --
Assigned To: Sebastian Gräßl
Perry Gagne
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-08-01 16:28 EDT by Perry Gagne
Modified: 2018-02-21 12:30 EST (History)
5 users (show)

See Also:
Fixed In Version: foreman-
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-21 12:30:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screen shot of facts page with nested valuies (134.25 KB, image/png)
2017-08-01 16:28 EDT, Perry Gagne
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20541 None None None 2017-08-09 09:55 EDT

  None (edit)
Description Perry Gagne 2017-08-01 16:28:01 EDT
Created attachment 1307775 [details]
Screen shot of facts page with nested valuies

Description of problem:
When using UI CSV export of facts. The values of columns with nested fields is empty for example: 
ronda-grams.lab.eng.rdu2.redhat.com,dmi,,Redhat,2017-07-20 18:29:07 UTC
See attached screen shot for page. 
Although it is shown as empty on the ui page, we probably should show something in the CSV. 

For example, we could build a json-like dict by traversing down the tree:
 ronda-grams.lab.eng.rdu2.redhat.com,{"dmi::bios::version": "0.5.1", "dmi::bios::rom_size":"64 KB", ...},...

Version-Release number of selected component (if applicable): 6.3.0
Comment 3 Tomer Brisker 2017-08-09 09:55:15 EDT
Created redmine issue http://projects.theforeman.org/issues/20541 from this bug
Comment 4 pm-sat@redhat.com 2017-10-17 04:13:52 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20541 has been resolved.
Comment 7 Perry Gagne 2017-11-07 15:15:35 EST
Verified fix in 6.3.0 snap 24.

When exports nested facts appear as follows:

Host,Fact Name,Value,Origin,Updated At
saul-provitt.lab.eng.rdu2.redhat.com,dmi::system::uuid,063ae797-7b9e-460b-9f10-804932e23906,Redhat,2017-11-01 20:04:58 UTC
saul-provitt.lab.eng.rdu2.redhat.com,proc_cpuinfo::common::cpuid_level,4,Redhat,2017-11-01 20:04:58 UTC
saul-provitt.lab.eng.rdu2.redhat.com,distribution::name,Red Hat Enterprise Linux Server,Redhat,2017-11-01 20:04:58 UTC
saul-provitt.lab.eng.rdu2.redhat.com,dmi::memory::type,RAM,Redhat,2017-11-01 20:04:58 UTC
saul-provitt.lab.eng.rdu2.redhat.com,proc_cpuinfo::common::siblings,1,Redhat,2017-11-01 20:04:58 UTC
saul-provitt.lab.eng.rdu2.redhat.com,dmi::processor::family,Other,Redhat,2017-11-01 20:04:58 UTC
saul-provitt.lab.eng.rdu2.redhat.com,dmi::chassis::manufacturer,Bochs,Redhat,2017-11-01 20:04:58 UTC
saul-provitt.lab.eng.rdu2.redhat.com,virt::host_type,kvm,Redhat,2017-11-01 20:04:58 UTC
saul-provitt.lab.eng.rdu2.redhat.com,lscpu::l1i_cache,32K,Redhat,2017-11-01 20:04:58 UTC
saul-provitt.lab.eng.rdu2.redhat.com,dmi::chassis::security_status,Unknown,Redhat,2017-11-01 20:04:58 UTC
Comment 8 Bryan Kearney 2018-02-21 12:30:01 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.